## org.hibernate.envers.configuration.metadata
Class ComponentMetadataGenerator

    java.lang.Object
      org.hibernate.envers.configuration.metadata.ComponentMetadataGenerator

    public final class ComponentMetadataGenerator

extends Object

Generates metadata for components.

Method Summary
`void` `addComponent(org.dom4j.Element parent, PropertyAuditingData propertyAuditingData, Value value, CompositeMapperBuilder mapper, String entityName, EntityXmlMappingData xmlMappingData, boolean firstPass)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### addComponent

    public void addComponent(org.dom4j.Element parent,
                             PropertyAuditingData propertyAuditingData,
                             Value value,
                             CompositeMapperBuilder mapper,
                             String entityName,
                             EntityXmlMappingData xmlMappingData,
                             boolean firstPass)

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.